Type=Activity
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
Dim sGameNumber As String
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
Dim imgbackground As ImageView
	Dim lblgame As Label
	Dim lv1 As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
Activity.LoadLayout("statistic")
Dim s1(),s2 As String
common.changeTheme(imgbackground)
lblgame.Typeface = Typeface.LoadFromAssets("BNazanin.ttf")
lv1.TwoLinesAndBitmap.SecondLabel.Typeface = Typeface.LoadFromAssets("BNazanin.ttf")
lv1.TwoLinesAndBitmap.ItemHeight = 70dip
lv1.TwoLinesAndBitmap.Label.Gravity = Gravity.CENTER
lv1.TwoLinesAndBitmap.SecondLabel.Gravity = Gravity.CENTER
lv1.TwoLinesAndBitmap.Label.TextColor = Colors.Black
lv1.TwoLinesAndBitmap.SecondLabel.TextColor = Colors.Black
lv1.TwoLinesAndBitmap.Label.Typeface = Typeface.LoadFromAssets("BNazanin.ttf")
If File.Exists(File.DirInternal,"gameReport" & sGameNumber & ".app") = True Then
 Dim m1 As Map
 m1.Initialize
 m1 = File.ReadMap(File.DirInternal,"gameReport" & sGameNumber & ".app")
 For i = 0 To m1.Size - 1
  s2 = m1.GetValueAt(i)
  s1 = Regex.Split("<>",s2)
  lv1.AddTwoLinesAndBitmap2("مرحله " & s1(0)  & " با امتیاز "  & s1(1),s1(2) & "    ",LoadBitmap(File.DirAssets,"statistic.png"),s1(0))
 Next
End If
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
  If KeyCode = KeyCodes.KEYCODE_BACK Then
   Activity.Finish
   StartActivity(Main)
  End If
End Sub

Sub lv1_ItemClick (Position As Int, Value As Object)
 
End Sub